#
# spec file for package neon24 (Version 0.24.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           neon24
BuildRequires:  expat openssl-devel
Summary:        An HTTP and WebDAV Client Library
Version:        0.24.7
Release:        20.4
License:        GPL
Group:          Development/Libraries/Other
Source:         http://www.webdav.org/neon/neon-%{version}.tar.bz2
Url:            http://www.webdav.org/neon
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         neon-0.24.7.Wimplicit-prototypes.patch
Patch1:         neon-sentinel.patch
Patch2:         neon-gcc4.patch

%description
neon is an HTTP and WebDAV client library with a C interface.
   Featuring: * High-level interface to HTTP and WebDAV methods
   (PUT, GET, HEAD, etc.)

* Low-level interface to HTTP request handling to allow implementing
   new methods easily

* HTTP/1.1 and HTTP/1.0 persistent connections

* RFC2617 basic and digest authentication (including auth-int,
   md5-sess)

* Proxy support (including basic/digest authentication)

* Generic WebDAV 207 XML response handling mechanism

* XML parsing using the expat or libxml parsers

* Easy generation of error messages from 207 error responses

* WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL

* WebDAV metadata support: set and remove properties, query any set of
properties (PROPPATCH/PROPFIND)



Authors:
--------
    Joe Orton <joe@manyfish.co.uk>

%package	devel
Summary:        Static Libraries and header files for neon
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description	devel
Static libraries and C header files for the neon library.



Authors:
--------
    Joe Orton <joe@manyfish.co.uk>

%prep
%setup -q -n neon-%{version}
%patch0
%patch1 -p1
%patch2 -p1

%build
rm -f aclocal.m4 ltmain.sh
sh autogen.sh
CFLAGS="$RPM_OPT_FLAGS -g -Wall" \
./configure --prefix=/usr \
	--sysconfdir=/etc \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-ssl \
	--enable-shared  \
	--enable-warnings
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT docdir=%{_defaultdocdir}/neon24 install install-man install-html
mv $RPM_BUILD_ROOT/usr/bin/neon-config $RPM_BUILD_ROOT/usr/bin/neon24-config 
mv $RPM_BUILD_ROOT/usr/include/neon $RPM_BUILD_ROOT/usr/include/neon24
mv $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/neon.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/neon24.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%{_libdir}/*.so.*

%files	devel
%defattr(-,root,root)
%doc doc/*.txt doc/html
%defattr(-,root,root)
/usr/bin/neon24-config
/usr/include/neon24
%{_mandir}/*/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/neon24.pc

%changelog
* Fri Sep 22 2006 poeml@suse.de
- renamed to neon24
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jun 29 2005 olh@suse.de
- build with expat instead of libxml2, should speed up svn checkout
  of large files (#94606)
* Wed Feb  2 2005 meissner@suse.de
- fix build with gcc4, added 2 sentinel mark ups.
* Sun Oct 17 2004 olh@suse.de
- remove .so link from main package, its already in -devel
* Sat Sep 25 2004 olh@suse.de
- update for gcc4, -Wimplicit-prototypes and inline
* Tue Jul  6 2004 olh@suse.de
- update to 0.24.7
* Sun May  9 2004 olh@suse.de
- add neon-CAN-2004-0398.patch (#39774)
* Thu Apr  1 2004 olh@suse.de
- add CAN-2004-0179.diff (#37716)
* Thu Jan 22 2004 olh@suse.de
- update for gcc3.4, -Wimplicit-prototypes and inline
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Fri Nov 28 2003 mcihar@suse.cz
- updated to 0.24.4, some highlights:
  * Major changes to XML interface
  * Major changes to SSL interface
  * Add a pkg-config file
  * Tons of fixes
* Wed Apr 23 2003 olh@suse.de
- update to 0.23.9
  Changes in release 0.23.9:
  * neon-config exports includes needed for OpenSSL given by
    pkg-config.
  * ne_redirect_location will return NULL if redirect hooks have
    not been registered for the session (Ralf Mattes <rm@fabula.de>).
  Changes in release 0.23.8:
  * On Linux, skip slow lookup for IPv6 addresses when IPv6 support
    is not loaded in kernel (thanks to Daniel Stenberg for this
    technique).
  * Update to autoconf 2.57 and libtool 1.4.3.
* Sat Mar  1 2003 olh@suse.de
- apply security fix from 0.23.8
  * SECURITY: Prevent control characters from being included in the
    reason_phrase field filled in by ne_parse_statusline(), and in
    the session error string.
  * Fix digest auth response verification for >9 responses in session
    (bug manifests as "Server was not authenticated correctly" error).
* Tue Jan 28 2003 olh@suse.de
- update to 0.23.7
  Changes in release 0.23.7:
  * Fix for handling EINTR during write() call (Sergey N Ushakov).
  * When available, use pkg-config to determine compiler flags
    needed to use OpenSSL headers and libraries.
* Tue Jan 21 2003 olh@suse.de
- update to 0.23.6
* Sat Oct 12 2002 olh@suse.de
- update to 0.23.5
  move interface documentation to -devel
* Thu Sep 19 2002 olh@suse.de
- update to 0.23.4, enable build with -g
* Sat Aug 31 2002 poeml@suse.de
- update to 0.22.0, needed by subversion
* Fri Aug  9 2002 olh@suse.de
- devel requires base package
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Sun Jun 23 2002 olh@suse.de
- update to 0.21.3
* Sat May  4 2002 olh@suse.de
- initial SuSE package, version 0.20.0
